<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Встречи";
$ref = rand(1000, 9999);

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

$nomer = $_GET['nomer'];
$art = mysql_query("SELECT article FROM chat_vstrechi WHERE nomer=$nomer");
$article = mysql_result($art,0);
$artdate = mysql_query("SELECT date FROM chat_vstrechi WHERE nomer=$nomer");
$date = mysql_result($artdate,0);
$artname = mysql_query("SELECT name FROM chat_vstrechi WHERE nomer=$nomer");
$name = mysql_result($artname,0);
$artnickname = mysql_query("SELECT nickname FROM chat_vstrechi WHERE nomer=$nomer");
$nickname = mysql_result($artnickname,0);
$artdays = mysql_query("SELECT days FROM chat_vstrechi WHERE nomer=$nomer");
$days = mysql_result($artdays,0);
$artmounths = mysql_query("SELECT mounths FROM chat_vstrechi WHERE nomer=$nomer");
$mounths = mysql_result($artmounths,0);
$artyears = mysql_query("SELECT years FROM chat_vstrechi WHERE nomer=$nomer");
$years = mysql_result($artyears,0);
$arthourss = mysql_query("SELECT hourss FROM chat_vstrechi WHERE nomer=$nomer");
$hourss = mysql_result($arthourss,0);
$artmins = mysql_query("SELECT mins FROM chat_vstrechi WHERE nomer=$nomer");
$mins = mysql_result($artmins,0);
$artorganizator = mysql_query("SELECT organizator FROM chat_vstrechi WHERE nomer=$nomer");
$organizator = mysql_result($artorganizator,0);


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";


echo "$article<br/>";
echo "-----------------<br/>";
echo "Число встречи: $days/$mounth/$years <br/>";
echo "Время встречи: $hourss/$mins <br/>";
echo "Организаторы: $organizator<br/>";
echo "Добавил Встречу: $nickname<br/>";
echo "Дата добавления: $date";

echo"<br/>";
echo "• <a href=\"/vstrechi/wml\">Встречи</a><br/>\n";
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



$nomer = $_GET['nomer'];
$art = mysql_query("SELECT article FROM chat_vstrechi WHERE nomer=$nomer");
$article = mysql_result($art,0);
$artdate = mysql_query("SELECT date FROM chat_vstrechi WHERE nomer=$nomer");
$date = mysql_result($artdate,0);
$artname = mysql_query("SELECT name FROM chat_vstrechi WHERE nomer=$nomer");
$name = mysql_result($artname,0);
$artnickname = mysql_query("SELECT nickname FROM chat_vstrechi WHERE nomer=$nomer");
$nickname = mysql_result($artnickname,0);
$artdays = mysql_query("SELECT days FROM chat_vstrechi WHERE nomer=$nomer");
$days = mysql_result($artdays,0);
$artmounths = mysql_query("SELECT mounths FROM chat_vstrechi WHERE nomer=$nomer");
$mounths = mysql_result($artmounths,0);
$artyears = mysql_query("SELECT years FROM chat_vstrechi WHERE nomer=$nomer");
$years = mysql_result($artyears,0);
$arthourss = mysql_query("SELECT hourss FROM chat_vstrechi WHERE nomer=$nomer");
$hourss = mysql_result($arthourss,0);
$artmins = mysql_query("SELECT mins FROM chat_vstrechi WHERE nomer=$nomer");
$mins = mysql_result($artmins,0);
$artorganizator = mysql_query("SELECT organizator FROM chat_vstrechi WHERE nomer=$nomer");
$organizator = mysql_result($artorganizator,0);



echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

echo'<div class="d1">';
echo "$name";
echo'</div>';

echo "$article<br/>";
echo "-----------------<br/>";
echo "Число встречи: $days/$mounths/$years <br/>";
echo "Время встречи: $hourss ч. $mins мин. <br/>";
echo "Организаторы: $organizator<br/>";
echo "Добавил Встречу: $nickname<br/>";
echo "Дата добавления: $date";



echo '<div class="d1">';
echo "• <a href=\"/vstrechi/html\">Встречи</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>